/* version 21.09.2017 */

$(function() {
	if (/firefox/i.test(navigator.userAgent)) {
		window.oldGetComputedStyle = window.getComputedStyle;
		window.getComputedStyle = function(element, pseudoElt) {
			var t = window.oldGetComputedStyle(element, pseudoElt);
			if (t === null) {
				return { getPropertyValue : function() {} };
			} else {
				return t;
			}
		};
	}

	var el = document.getElementById("scroll-area");
	window.onresize = function resize() {
		if (Morfana) {
			Morfana.clear();
			Morfana.draw();
		}
		Ps.destroy(el);
		Ps.initialize(el);
	};
	setInterval(function() {
		Ps.update(el);
	}, 100);

	window.addEventListener("message", function(event) {
		if (event.data.action == "stopMedia") {
			stopAllMedia();
		} else if (event.data.action == "addBodyClass") {
			$("body").addClass(event.data.className);
			Morfana.clear();
			Morfana.draw();
		}
	}, false);

	$("audio, video").on("play", function(event) {
		stopAllMedia(event.target);
	});

	$(".image").each(function(index, el) {
		var $this = $(this);
		var t = $this.find(".vrezkaText, .signature, .signature1, .signature2");
		var $img = $this.find("img");

		if (t[0])
			var title = t[0].innerHTML;

		$img.after(function(e) {
			var $icon = $("<span class=\"image__zoom-icon\"/>");
			$icon.on("click", function() {
				$img.trigger('click');
			})
			return $icon;
		});

		$img.on("click", function(event) {
			if (title)
				title = title.replace(/<br>/gi, "<br/>");
			window.parent.postMessage({
				"action" : "showImage",
				"src" : event.target.getAttribute("src"),
				"title" : title
			}, "*");
		});
	});

	if (typeof plyr === "object") {
		plyr.setup("video", {
			controls : [ 'play-large', 'play', 'progress', 'current-time', 'duration', 'fullscreen', 'volume', 'mute' ],
			tooltips : {
				controls : false,
				seek : false
			}
		});

		plyr.setup('audio', {
			controls : [ 'play', 'progress', 'current-time', 'duration' ],
			tooltips : {
				controls : false,
				seek : false
			}
		});
	}

	function stopAllMedia(activeMedia) {
		$('audio, video').each(function() {
			if (this != activeMedia)
				this.pause();
		});
	}
});