/*
 Morfana. JavaScript display engine for morphemic analysis in russian language
 http://morfana.ru
 http://github.com/kityan/morfana

 Copyright 2013-2014, Pavel Kityan (pavel@kityan.ru)
 Licensed under the MIT license.
 Version: 2.3.0b
 Build date: 29 September 2014
*/

(function(root,factory){if(typeof define==="function"&&define.amd){define(["jQuery","rangy"],factory)}else{if(typeof exports==="object"){module.exports=factory(require("jQuery","rangy"))}else{root.Morfana=factory(root.jQuery,root.rangy)}}}(this,function($,rangy){var development={colorize:false,log:false,showTmpDiv:false};var config={};var onQueueEmptyCallback;configure({autoStart:true,freezeWord:false,strokeWidth:1.5,stroke:"rgb(150,150,150)",disablePointerEvents:true,zeroEndingWidthFactor:0.7,paddingFactor:0.2});var queue=[];$(document).ready(function(){var scripts=document.getElementsByTagName("script");for(var i=0,qty=scripts.length;i<qty;i++){var type=String(scripts[i].type).replace(/ /g,"");if(type.match(/^text\/x-morfana-config(;.*)?$/)){eval(scripts[i].innerHTML);scripts[i].innerHTML=""}}rangy.init();if(config.autoStart){draw()}});function wrapPadding(data,letterIndex,paddingType){var rng=rangy.createRange();rng.setStart(data.maps.actual[letterIndex].element,data.maps.actual[letterIndex].index);rng.setEnd(data.maps.actual[letterIndex].element,data.maps.actual[letterIndex].index+1);var newNode=document.createElement("span");var val=Math.ceil((paddingType=="after")?(data.height*config.zeroEndingWidthFactor+data.height*config.paddingFactor+config.strokeWidth*2):((data.height*config.paddingFactor)+config.strokeWidth));var side=(paddingType!="start")?"right":"left";$(newNode).css("padding-"+side,val+"px");$(newNode).addClass("morfana-paddings morfana-paddings-"+side);rng.surroundContents(newNode);data.maps.actual=getLettersMap(data.obj)}function createImage(data,morphemeType,range){var x=data.metrics[range[0]].x;var w=(range[1]!=null)?data.metrics[range[1]].x+data.metrics[range[1]].w-data.metrics[range[0]].x:null;var hDiff=data.heightDiff;var h=data.height;var hm=0.3;var part1,part2;switch(morphemeType){case"ok":var isLastLetter=!data.letters[range[0]+1];var p=config.strokeWidth;if(range[1]!=null){var ofs=h*config.paddingFactor/2+config.strokeWidth*2;x-=ofs;w+=ofs*2}else{if(isLastLetter){x=x+data.metrics[range[0]].w+(data.width-(x+data.metrics[range[0]].w))/2-h*config.paddingFactor*2}else{x=x+data.metrics[range[0]].w+(data.metrics[range[0]+1].x-(x+data.metrics[range[0]].w))/2-h*config.paddingFactor*2}w=h*config.zeroEndingWidthFactor+config.strokeWidth*2;if(data.letters[range[0]].stop&&data.letters[range[0]].stop.ok){x+=h*config.paddingFactor/2;if(isLastLetter){x+=h*config.paddingFactor-config.strokeWidth*2.5}}if(data.letters[range[0]+1]&&data.letters[range[0]+1].start&&data.letters[range[0]+1].start.ok){x-=h*config.paddingFactor/2}}h*=1.35;part1="left: "+x+"px; top: "+((hDiff<=0)?(-(h*0.13)):(hDiff*0.5-h*0.13))+"px; width: "+w+"px; height: "+h+'px;"';part2='<rect x="'+config.strokeWidth+'" y="'+config.strokeWidth+'" width="'+(w*1-config.strokeWidth*2)+'" height="'+(h*1-config.strokeWidth*2)+'" ';break;case"ko":part1="left: "+x+"px; top: "+((hDiff<=0)?(-(h*0.85)):(hDiff*0.5-h*0.85))+"px; width: "+w+"px; height: "+h+'px;"';part2='<path d="M '+2+" "+(h-2)+" C "+(w/3)+" "+h*0.4+", "+(w*2/3)+" "+h*0.4+", "+(w-2)+" "+(h-2)+'"';break;case"su":part1="left: "+x+"px; top: "+((hDiff<=0)?(-(h*0.85)):(hDiff*0.5-h*0.85))+"px; width: "+w+"px; height: "+h+'px;"';part2='<path d="M '+(2)+" "+(h-2)+" L "+(w/2)+" "+(h*0.5)+" L "+(w/2)+" "+(h*0.5)+" L "+(w-2)+" "+(h-2)+'"';break;case"pr":part1="left: "+x+"px; top: "+((hDiff<=0)?(-(h*0.85)):(hDiff*0.5-h*0.85))+"px; width: "+w+"px; height: "+h+'px;"';part2='<path d="M '+(2)+" "+(h*0.5)+" L "+(w-2)+" "+(h*0.5)+" L "+(w-2)+" "+(h-2)+'"';break;case"po":part1="left: "+x+"px; top: "+((hDiff<=0)?(-(h*0.85)):(hDiff*0.5-h*0.85))+"px; width: "+w+"px; height: "+h+'px;"';part2='<path d="M '+(2)+" "+(h-2)+" L "+(2)+" "+(h*0.5)+" L "+(w-2)+" "+(h*0.5)+'"';break;case"os":part1="left: "+x+"px; top: "+((hDiff<=0)?((h)):(hDiff*0.5+h))+"px; width: "+(w)+"px; height: "+(h)+'px;"';part2='<path d="M '+(1.5)+" "+(3)+" L "+(1.5)+" "+(h*hm)+" L "+(w-1.5)+" "+(h*hm)+" L "+(w-1.5)+" "+(3)+'"';break;case"osL":part1="left: "+x+"px; top: "+((hDiff<=0)?((h)):(hDiff*0.5+h))+"px; width: "+(w)+"px; height: "+(h)+'px;"';part2='<path d="M '+(1.5)+" "+(3)+" L "+(1.5)+" "+(h*hm)+" L "+(w-1.5)+" "+(h*hm)+'"';break;case"osR":part1="left: "+x+"px; top: "+((hDiff<=0)?((h)):(hDiff*0.5+h))+"px; width: "+(w)+"px; height: "+(h)+'px;"';part2='<path d="M '+(1.5)+" "+(h*hm)+" L "+(w-1.5)+" "+(h*hm)+" L "+(w-1.5)+" "+(3)+'"';break;case"osC":part1="left: "+x+"px; top: "+((hDiff<=0)?((h)):(hDiff*0.5+h))+"px; width: "+(w)+"px; height: "+(h)+'px;"';part2='<path d="M '+(1.5)+" "+(h*hm)+" L "+(w-1.5)+" "+(h*hm)+'"';break}return'<svg class="morfana-graphics" data-morfana-command="'+morphemeType+":"+(range[0]+1)+"-"+((range[1]==null)?0:(range[1]+1))+'" style="'+(config.disablePointerEvents?"pointer-events: none; ":"")+"position: absolute; "+part1+' xmlns="http://www.w3.org/2000/svg" version="1.1">'+part2+' style="stroke:'+config.stroke+"; stroke-width:"+config.strokeWidth+'" fill="transparent" fill-opacity="0"/></svg>'}function process(data){clear(data.obj);calculateMetrics(data,true);wrapPaddings(data);calculateMetrics(data);data.obj.data("morfana-data-metrics",data.metrics);if(development.colorize){for(var i=0,qty=data.metrics.length;i<qty;i++){var color=(color!="red")?"red":"blue";data.obj.append('<div class="morfana-development-colorize" style="position: absolute; top: '+((data.metrics[i].hDiff<=0)?((data.metrics[i].h)):(data.metrics[i].hDiff*0.5+data.metrics[i].h))+"px; left:"+data.metrics[i].x+"px; width: "+data.metrics[i].w+"px; height: 2px; line-height: 0; border: 0; padding: 0; margin: 0 ; background: "+color+';"></div>')}}var prependElements=createImages(data);data.obj.css({display:"inline-block",position:"relative"});if(!config.freezeWord){data.obj.css({"margin-top":(data.height*0.85)+"px","margin-bottom":(data.height*0.35)+"px"})}prependElements.forEach(function(elem){data.obj.prepend(elem)})}function calculateMetrics(data,justHeightReturnWordHeight){var objHTML=data.obj.html();var tmpDiv=$('<div style="'+((development.showTmpDiv)?"":"left: -1000px; visibility: hidden;")+'width: auto; height: auto; position: absolute;" id="morfana_tmpDiv" />').appendTo(data.obj).html(objHTML);var h_lineHeightAsItWas=tmpDiv.height();setAllChildren(tmpDiv,"line-height","normal");data.width=tmpDiv.width();data.height=tmpDiv.height();data.heightDiff=h_lineHeightAsItWas-data.height;if(justHeightReturnWordHeight){tmpDiv.remove();return}data.metrics=[];var rng=rangy.createRange();var tmpDiv_map=getLettersMap(tmpDiv);for(var i=tmpDiv_map.length-1;i>=0;i--){data.metrics[i]={};tmpDiv.find(".morfana-paddings").each(function(){var obj=$(this);if(obj.text()==""){obj.remove()}});if(data.letters&&(data.letters[i].stop.ok||data.letters[i].after.ok)){if(data.letters[i].stop.ok){$(tmpDiv_map[i].element).unwrap()}if(data.letters[i].after.ok){$(tmpDiv_map[i].element).unwrap()}}var newNode=document.createElement("span");$(newNode).css("letter-spacing",0);rng.setStart(tmpDiv_map[i].element,tmpDiv_map[i].index);rng.setEnd(tmpDiv_map[i].element,tmpDiv_map[i].index+1);rng.surroundContents(newNode);data.metrics[i].w=tmpDiv.width();rng.deleteContents();data.metrics[i].x=tmpDiv.width();data.metrics[i].w=data.metrics[i].w-data.metrics[i].x;data.metrics[i].h=data.height;data.metrics[i].hDiff=data.heightDiff}tmpDiv.remove()}function createImages(data){var images=[];for(var m in data.morphemes){for(var i=0,qty=data.morphemes[m].length;i<qty;i++){if(!data.morphemes[m][i]){continue}for(var j=0,qty2=data.morphemes[m][i].length;j<qty2;j++){images.push(createImage(data,m,data.morphemes[m][i][j].range))}}}return images}function wrapPaddings(data){for(var i=0,qty=data.maps.inital.length;i<qty;i++){if(data.letters[i].start.ok){wrapPadding(data,i,"start")}if(data.letters[i].stop.ok){wrapPadding(data,i,"stop")}if(data.letters[i].after.ok){wrapPadding(data,i,"after")}}}function getLettersMap(obj){var map=[];(function createLettersMap(obj,shift){var qty=obj[0].childNodes.length;for(var i=0;i<qty;i++){var data=obj[0].childNodes[i].data;if(data==undefined){shift=createLettersMap($(obj[0].childNodes[i]),shift)}else{for(var j=0;j<data.length;j++){map[shift]={element:obj[0].childNodes[i],index:j};shift++}}}return shift})(obj,0);return map}function preprocess(el){var data={};data.obj=$(el);data.morphemes={};data.letters=[];data.maps={inital:getLettersMap(data.obj)};data.maps.actual=$.extend(true,[],data.maps.inital);var totalLettersQty=data.maps["inital"].length;for(var i=0;i<totalLettersQty;i++){data.letters[i]={start:{},stop:{},after:{}}}var morphemes=data.obj.data("morfana-markup").replace(/\s/g,"").replace(/;$/,"").split(";");for(var i=0,qty=morphemes.length;i<qty;i++){var _tmp=morphemes[i].split(":");var m=_tmp[0];var r=_tmp[1].split("-");if(!r[1]){r[1]="0"}if(r[0]=="0"){r[0]=totalLettersQty;r[1]="0"}r[0]*=1;r[1]*=1;if(!data.morphemes[m]){data.morphemes[m]=[]}if(!data.morphemes[m][r[0]-1]){data.morphemes[m][r[0]-1]=[]}data.morphemes[m][r[0]-1].push({name:m,range:[r[0]-1,(r[1]>0)?(r[1]-1):null]});var startIndex,stopIndex;if(r[1]==0){startIndex=r[0]-1;stopIndex=null;if(!data.letters[startIndex].after[m]){data.letters[startIndex].after[m]=[]}data.letters[startIndex].after[m].push({name:m,range:[startIndex,stopIndex]})}else{startIndex=r[0]-1;stopIndex=r[1]-1;if(!data.letters[startIndex].start[m]){data.letters[startIndex].start[m]=[]}data.letters[startIndex].start[m].push({name:m,range:[startIndex,stopIndex]});if(!data.letters[stopIndex].stop[m]){data.letters[stopIndex].stop[m]=[]}data.letters[stopIndex].stop[m].push({name:m,range:[startIndex,stopIndex]})}}if(development.log){console.log(data.obj.text(),data)}process(data);return data}function clear(selector){var obj=(!selector)?$(document):$(selector);if(development.colorize){obj.find(".morfana-development-colorize").remove()}obj.removeData("morfana-markup");obj.removeData("morfana-data-metrics");obj.find("svg[class='morfana-graphics']").remove();obj.find(".morfana-paddings").contents().unwrap();return true}function setAllParents(obj,stopId,param,value){if(obj.attr("id")!=stopId){obj.css(param,value);setAllParents(obj.parent(),stopId,param,value)}}function setAllChildren(obj,param,value){obj.css(param,value);if(obj[0]&&obj[0].children){var qty=obj[0].children.length;for(var i=0;i<qty;i++){setAllChildren($(obj[0].children[i]),param,value)}}}function draw(selector,markup,callback){onQueueEmptyCallback=(callback)?callback:undefined;if(selector){if(markup){$(selector).data("morfana-markup",markup)}$(selector).each(function(){var el=$(this);if(el.data("morfana-markup")){enqueue.call(this)}else{el.find("[data-morfana-markup]").each(enqueue)}})}else{$("[data-morfana-markup]").each(enqueue)}doQueue();return true}function enqueue(){queue.push(this)}function doQueue(){var qty=queue.length;if(qty>0){preprocess(queue.shift())}if(qty>1){setTimeout(doQueue,10)}else{if(onQueueEmptyCallback&&typeof onQueueEmptyCallback=="function"){onQueueEmptyCallback();onQueueEmptyCallback=undefined}}}function configure(obj){$.extend(true,config,obj);config.strokeWidth=parseFloat(config.strokeWidth)}function getLettersBounds(obj){if(obj&&obj.data()){if(obj.data("morfana-data-metrics")){return obj.data("morfana-data-metrics")}else{var data={maps:{}};data.obj=obj;data.maps.actual=getLettersMap(obj);calculateMetrics(data);return data.metrics}return obj.data("morfana-data-metrics")}else{return[]}}var Morfana={};Morfana.draw=draw;Morfana.clear=clear;Morfana.configure=configure;Morfana.getLettersMap=getLettersMap;Morfana.getLettersBounds=getLettersBounds;return Morfana}));